Name:             owasp-esapi-java
Version:          2.1.0
Release:          %mkrel 1
Summary:          OWASP Enterprise Security API
Group:            Development/Java
License:          BSD
URL:              http://code.google.com/p/owasp-esapi-java/

# svn export http://owasp-esapi-java.googlecode.com/svn/tags/esapi-2.1.0/ owasp-esapi-java-2.1.0
# tar cafJ owasp-esapi-java-2.0.1.tar.xz owasp-esapi-java-2.1.0
Source0:          owasp-esapi-java-%{version}.tar.xz

# Antisammy is not available
Patch0:           0001-Remove-validator-implementation-bsed-on-Antisammy.patch
# Use different directory in tests
Patch1:           0002-Use-different-directory-to-testing-bin-is-a-symlink.patch
# Missing implementations
Patch2:           0003-Implement-missing-servlet-3.0-methods-in-mock.patch

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    maven-local
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-dependency-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    maven-surefire-provider-junit
BuildRequires:    maven-enforcer-plugin
BuildRequires:    maven-eclipse-plugin
BuildRequires:    sonatype-oss-parent
BuildRequires:    tomcat-servlet-3.0-api
BuildRequires:    tomcat-jsp-2.2-api
BuildRequires:    tomcat-el-2.2-api
BuildRequires:    bsh
BuildRequires:    junit
BuildRequires:    apache-commons-io
BuildRequires:    apache-commons-collections
BuildRequires:    apache-commons-fileupload
BuildRequires:    log4j
BuildRequires:    xom
BuildRequires:    ecj
BuildRequires:    maven-shared
BuildRequires:    tomcat-jsp-2.2-api

%description
OWASP ESAPI (The OWASP Enterprise Security API) is a free, open source,
web application security control library that makes it easier for programmers
to write lower-risk applications. The ESAPI for Java library is designed to
make it easier for programmers to retrofit security into existing applications.
ESAPI for Java also serves as a solid foundation for new development.

%package          javadoc
Summary:          Javadocs for %{name}
Group:            Documentation

%description      javadoc
This package contains the API documentation for %{name}.

%package          doc
Summary:          Documentation for %{name}
Group:            Documentation
License:          CC-BY-SA

%description      doc
This package contains the documentation for %{name}.

%prep
%setup -q

%patch0 -p1
%patch1 -p1
%patch2 -p1

# Plugin not available
%pom_remove_plugin "org.codehaus.mojo:versions-maven-plugin"

# Atisammy not available
%pom_remove_dep "org.owasp.antisamy:antisamy"

%pom_remove_dep ":bsh-core"
%pom_add_dep "org.beanshell:bsh"

sed -i "s|public void testSetCookie()|public void ignoredSetCookie()|" src/test/java/org/owasp/esapi/reference/HTTPUtilitiesTest.java

%pom_xpath_set "pom:dependencies/pom:dependency[pom:artifactId = 'log4j']/pom:version" "12"

%pom_remove_dep "javax.servlet:jsp-api"
%pom_add_dep "org.apache.tomcat:tomcat-jsp-api"

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}

%files javadoc -f .mfiles-javadoc

%files doc
%doc documentation/*


%changelog
* Tue Feb 10 2015 luigiwalser <luigiwalser> 2.1.0-1.mga4
+ Revision: 814541
- 2.1.0 (fixes CVE-2013-5679 and CVE-2013-5960, mga#15051)

* Sat Jan 04 2014 dmorgan <dmorgan> 2.0.1-7.mga4
+ Revision: 564485
- Rebuild against fixed stack

* Thu Jan 02 2014 dmorgan <dmorgan> 2.0.1-6.mga4
+ Revision: 564011
- Build with xmvn

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.0.1-4.mga3
+ Revision: 362267
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 dmorgan <dmorgan> 2.0.1-3.mga3
+ Revision: 331354
- imported package owasp-esapi-java

